Created: 2013-02-23 Assigned To: Susanne Moog
Sprint Focus:
Subject: Blank page/Exception when referenced images are deleted in filesystem
Description

What does it do:
If you have a Content on a Page, which does not exists, then the page can't be opened againm on Pageview. You have to change to
List view, because the errormessage Oups takes the whole screen.

I will give two examples:
Ex 1.
You choose an Imagecontent on a site, set this and now delete the Imagefile, where its solved, so, that the Imagepath shows to
nowhere. The error should now be displayed, if you are in the Tree on Page. Now you have to change to List. This is the onliest way to
change the damaged Content.

Ex 2.
You go on Filesystem and rename an existing Folder that is set also in a BE User Group. I tested this with a BE User Account
actually. Now, goto Back Endmode from this User, by simply switching or simulating from BE Admin User to this specific BE User. As
you can see now, the System gives no Failure out, there is also nothing displayed and you can see a white page. No it is finished. The
Login has broken down. You can only quit your Browser.

Typo3 6.02
PHP 5.3+

Would be great, if Typo3 would have a better Errorhandler in this two cases.

Related issues:
related to Core - Bug # 45696: typo3 crashes (with exeption) if a Image is de... New 2013-02-21
duplicated by Core - Bug # 46535: Image rendering of non-existing files throw... Resolved 2013-03-22

History
#1 - 2013-02-23 23:36 - Andreas Wolf
- Project changed from Refactoring Bootstrap to Core

#2 - 2013-02-23 23:37 - Andreas Wolf
- Subject changed from A small error is found in BE to Blank page/Exception when referenced images are deleted in filesystem
- Category set to File Abstraction Layer (FAL)
- Status changed from New to Accepted

#3 - 2014-05-10 14:38 - Sebastian Fischer

In current master it works perfectly on page module unless you dont click the info button. Clicking the info button results in an exception.
#4 - 2015-07-19 12:00 - Susanne Moog
- Assigned To set to Susanne Moog
- Is Regression set to No

#1: PHP Warning: fileperms(): stat failed for /var/www/typo/fileadmin/user_upload/IMG_2916.JPG in
/var/www/Core/typo3/sysext/core/Classes/Resource/Driver/LocalDriver.php line 118
